<?php 

$tabla1 = array();

//Función para cambiar el valor en un tabla
//La tabla se pasa por referencia
function cambiar(&$tabla, $i, $j)
{
   $temporal = $tabla[$i];
   $tabla[$i] = $tabla[$j];
   $tabla[$j] = $temporal;
} 

//rellena una tabla de 10 valores aleatorios entre 10 y 100
for ($i=1;$i<=10;$i++) { 
	$tabla1[$i]=rand(1,100);
}


$longitud=10;
while($longitud>0)
{
  // busca el valor más grande de la tabla
  $maximo = 1;
  for($i=1; $i<=$longitud; $i++) {
	 if($tabla1[$i]>$tabla1[$maximo]) {
		$maximo = $i;
	}
  }		
  //cambio del máximo con el último elemento
    cambiar($tabla1, $maximo, $longitud);
 
  // Resto de la tabla
  $longitud--;
}

//muestra la tabla
for ($i=1;$i<=10;$i++) { //tabla de 1 a 10
	echo $tabla1[$i].",";
}



?>
